import { InjectionToken } from '@angular/core';

export const PROJECT_PERMISSIONS_TABLE_CONF = new InjectionToken('PROJECT_PERMISSIONS_TABLE_CONF');
export const PROJECT_PERMISSIONS_TABLE = new InjectionToken('PROJECT_PERMISSIONS_TABLE');

export const PROJECT_CUSTOM_FIELDS_TABLE_CONF = new InjectionToken(
  'PROJECT_CUSTOM_FIELDS_TABLE_CONF',
);
export const PROJECT_CUSTOM_FIELDS_TABLE = new InjectionToken('PROJECT_CUSTOM_FIELDS_TABLE');

export const PROJECT_MILESTONES_TABLE_CONF = new InjectionToken('PROJECT_MILESTONES_TABLE_CONF');
export const PROJECT_MILESTONES_TABLE = new InjectionToken('PROJECT_MILESTONES_TABLE');
export const PROJECT_ASSOCIATED_TEMPLATE_TABLE_CONF = new InjectionToken(
  'PROJECT_ASSOCIATED_TEMPLATE_TABLE_CONF',
);
export const PROJECT_ASSOCIATED_TEMPLATE_TABLE = new InjectionToken(
  'PROJECT_ASSOCIATED_TEMPLATE_TABLE',
);
